## EXPORT_SPEC int UpnpSetVirtualDirCallbacks

## ( IN struct UpnpVirtualDirCallbacks* callbacks )

> UpnpSetVirtualDirCallbacks sets the callback function to be used to access a virtual directory.

## Documentation

> UpnpSetVirtualDirCallbacks sets the callback function to be used to access a virtual directory. Refer to the description of UpnpVirtualDirCallbacks for a description of the functions.

Parameters:
  callbacks - Pointer to a structure containing points to the virtual interface functions.
Returns:
  [int] An integer representing one of the following:
  - `UPPN_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_ARGUMENT`: callbacks is not a valid pointer.

Alphabetic index

This page was generated with the help of DOC++.